Skip to main content
This topic describes the API procedure to create an MCR, including how to look up locations for the MCR, and how to validate and complete the order. Before you begin, obtain a valid access token. For more information, see Creating an API Key. To look up MCR location details in the Postman collection
  1. Expand the Locations folder in the left navigation and click GET Locations (v3).
    This request is not expecting Parameters or Body information.
  2. Click Send to make a GET request.
    Ensure the request was successful by looking for Status: 200 OK and display the response in the Body section in the Pretty format. The request returns hundreds of Megaport locations.
  3. Click the magnifying glass and search the response for a site that includes mcrSpeedMbps in the diversityZones object and is in the US market. To provision an MCR at a location, the port speed must be available in the diversityZones object. Check that the location has the available speed and diversity zone for the MCR.
To create an MCR, you need the id value. In this example, the location ID is 60. To test and validate the MCR order
  1. In Postman, expand Megaport Cloud Router (MCR) in the left navigation and select Validate MCR Order (v3).
  2. Update the Body with the locationId (60), productName (whatever name you want for your MCR), term (the minimum number of months in the committed term: 1, 12, 24, 36, 48, or 60), and portSpeed (1000, 2500, 5000, or 10000 Mbps) and click Send.
    An ASN value is only required if you don’t want to use the Megaport default ASN of 133937.
    Add a diversity zone. Check the location results to see which diversity zones are available for your MCR location under diversityZones.
    If the diversity zone is not explicitly selected, one will be automatically allocated when the MCR is created.
A successful response passes validation and has a 200 OK status. The response also includes pricing details of the service.
To order the validated MCR
  1. With a validated MCR request and reviewed cost information, copy the Body from POST Validate MCR Order (v3) and paste into the Body of POST Buy MCR (v3).
    If you make this call on api.megaport.com, your account will be charged for the service. Alternatively, you can use the API in the staging (test) environment without charges, as in these examples.
  2. Send the request. This output shows a successful response.
The new MCR now appears in your working environment, either portal.megaport.com or portal-staging.megaport.com.
To see all options for the requests used in this example, see https://dev.megaport.com.
The next step is to create VXCs to this MCR.
For more information, see:
Last modified on August 21, 2026